// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.2.0
// :generation date: 2020-04-16 12:19:35
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.biovt.mw.tum.de.examples.calibrationservicer.v1;

// Feature: Calibration Servicer
//   
//                   Calibrate the sensor bars by adjusting the temperature compensation and the dynamic averaging value.
//           By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 14.02.2020
//   
service CalibrationServicer {
    // Get O2 Calibration Low
    //   Get the O2 calibration point value at 0% dissolved oxygen.
    rpc GetO2CalLow(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalLow_Responses) {}
    // Set O2 Calibration Low
    //   Set the O2 calibration point value at 0% dissolved oxygen. Default = 57.
    rpc SetO2CalLow(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalLow_Responses) {}
    // Get O2 Calibration High
    //   Get the O2 calibration point value at 100% dissolved oxygen. Default = 27.
    rpc GetO2CalHigh(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalHigh_Responses) {}
    // Set O2 Calibration High
    //   Set the O2 calibration point value at 100% dissolved oxygen. Default = 27.
    rpc SetO2CalHigh(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalHigh_Responses) {}
    // Get O2 Calibration Temperature
    //   Get the value of the oxygen sensor calibration temperature in degrees Celsius. Default = 20.
    rpc GetO2CalTemp(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetO2CalTemp_Responses) {}
    // Set O2 Calibration Temperature
    //   Set the value of the oxygen calibration temperature in degree Celsius. Default = 20.
    rpc SetO2CalTemp(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetO2CalTemp_Responses) {}
    // Get PH lmax
    //   Get the given value of the first calibration point (lmax) of the pH sensor. Default = 0.
    rpc GetPHlmax(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmax_Responses) {}
    // Set PH lmax
    //   Set the value of the first calibration point (lmax) of the pH sensor. Default = 0.
    rpc SetPHlmax(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmax_Responses) {}
    // Get PH lmin
    //   Get the given value of the second calibration point (lmin) of the pH sensor. Default = -.
    rpc GetPHlmin(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHlmin_Responses) {}
    // Set PH lmin
    //   Set the value of the second calibration point (lmin) of the pH sensor. Default = -.
    rpc SetPHlmin(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHlmin_Responses) {}
    // Get PH pH0
    //   Get the given value of the third calibration point (pH0) of the pH sensor. Default = 0.
    rpc GetPHpH0(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHpH0_Responses) {}
    // Set PH pH0
    //   Set the value of the third calibration point (pH0) of the pH sensor. Default = 0.
    rpc SetPHpH0(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHpH0_Responses) {}
    // Get PH dpH
    //   Get the given value of the fourth calibration point (dpH) of the pH sensor. Default = 0.
    rpc GetPHdpH(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHdpH_Responses) {}
    // Set PH dpH
    //   Set the value of the fourth calibration point (dpH) of the pH sensor. Default = 0.
    rpc SetPHdpH(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHdpH_Responses) {}
    // Get PH Calibration Temperature
    //   Get the value of the pH sensor calibration temperature in degree Celsius. Default = 20.
    rpc GetPHCalTemp(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.GetPHCalTemp_Responses) {}
    // Set PH Calibration Temperature
    //   Set the value of the pH calibration temperature in degree Celsius. Default = 20.
    rpc SetPHCalTemp(sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Parameters) returns (sila2.biovt.mw.tum.de.examples.calibrationservicer.v1.SetPHCalTemp_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message GetO2CalLow_Parameters {
    
}

message GetO2CalLow_Responses {
    repeated sila2.org.silastandard.Real CurrentO2CalLow = 1;
}

message SetO2CalLow_Parameters {
    repeated // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetO2CalLow = 1;
}

message SetO2CalLow_Responses {
    repeated sila2.org.silastandard.Real CurrentO2CalLow = 1;
}

message GetO2CalHigh_Parameters {
    
}

message GetO2CalHigh_Responses {
    repeated sila2.org.silastandard.Real CurrentO2CalHigh = 1;
}

message SetO2CalHigh_Parameters {
    repeated // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetO2CalHigh = 1;
}

message SetO2CalHigh_Responses {
    repeated sila2.org.silastandard.Real CurrentO2CalHigh = 1;
}

message GetO2CalTemp_Parameters {
    
}

message GetO2CalTemp_Responses {
    repeated sila2.org.silastandard.Real CurrentO2CalTemp = 1;
}

message SetO2CalTemp_Parameters {
    repeated // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetO2CalTemp = 1;
}

message SetO2CalTemp_Responses {
    repeated sila2.org.silastandard.Real CurrentO2CalTemp = 1;
}

message GetPHlmax_Parameters {
    
}

message GetPHlmax_Responses {
    repeated sila2.org.silastandard.Real CurrentPHlmax = 1;
}

message SetPHlmax_Parameters {
    repeated // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetPHlmax = 1;
}

message SetPHlmax_Responses {
    repeated sila2.org.silastandard.Real CurrentPHlmax = 1;
}

message GetPHlmin_Parameters {
    
}

message GetPHlmin_Responses {
    repeated sila2.org.silastandard.Real CurrentPHlmin = 1;
}

message SetPHlmin_Parameters {
    repeated // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetPHlmin = 1;
}

message SetPHlmin_Responses {
    repeated sila2.org.silastandard.Real CurrentPHlmin = 1;
}

message GetPHpH0_Parameters {
    
}

message GetPHpH0_Responses {
    repeated sila2.org.silastandard.Real CurrentPHpH0 = 1;
}

message SetPHpH0_Parameters {
    repeated // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetPHpH0 = 1;
}

message SetPHpH0_Responses {
    repeated sila2.org.silastandard.Real CurrentPHpH0 = 1;
}

message GetPHdpH_Parameters {
    
}

message GetPHdpH_Responses {
    repeated sila2.org.silastandard.Real CurrentPHdpH = 1;
}

message SetPHdpH_Parameters {
    repeated // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetPHdpH = 1;
}

message SetPHdpH_Responses {
    repeated sila2.org.silastandard.Real CurrentPHdpH = 1;
}

message GetPHCalTemp_Parameters {
    
}

message GetPHCalTemp_Responses {
    repeated sila2.org.silastandard.Real CurrentPHCalTemp = 1;
}

message SetPHCalTemp_Parameters {
    repeated // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SetPHCalTemp = 1;
}

message SetPHCalTemp_Responses {
    repeated sila2.org.silastandard.Real CurrentPHCalTemp = 1;
}


// ----------------- Metadata Definitions ------------------
